﻿@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "Năng lực sản xuất TCT";
    Layout = "~/Views/Shared/_Layout_NLSX.cshtml";
    var ThangHienTai = DateTime.Now.Month;
    var NamHienTai = DateTime.Now.Year;
    List<string> lsThangNam = new List<string>();
    for (int i = 1; i <= 12; i++) {
        lsThangNam.Add(i + "/" + (NamHienTai-1)); 
    }
    for (int i = 1; i <= ThangHienTai; i++) {
        lsThangNam.Add(i + "/" + NamHienTai); 
    }
}
    <div class="iq-card">
        @*<div class="iq-card-header d-flex justify-content-between">
            <div class="iq-header-title">
                <h4 class="text-primary card-title">
                    <i class="ri-file-list-3-line"></i> Năng lực sản xuất
                </h4>
            </div>
        </div>*@
        <div class="iq-card-body">
            <form id="formSearch">
                <div class="row">
                    <div class="col-md-3 col-sm-6 col-12">
                        <div class="form-group">
                            <button type="button" class="btn btn-success form-control-sm" id="btnXemThangHienTai" style="line-height:16px;"><i class="fa fa-check" aria-hidden="true"></i>Tháng</button>
                            <button type="button" class="btn btn-success form-control-sm" id="btnXemQuyHienTai" style="line-height:16px;"><i class="fa fa-check" aria-hidden="true"></i>Quý</button>
                            <button type="button" class="btn btn-success form-control-sm" id="btnXemNamHienTai" style="line-height:16px;"><i class="fa fa-check" aria-hidden="true"></i>Năm</button>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6 col-12">
                        <div class="form-group row">
                            <label for="inputPassword" class="col-md-3 col-sm-12 col-12 col-form-label">Tháng tùy chọn</label>
                            <div class="col-md-7 col-sm-12 col-12 pb-1">
                                <select class="form-group form-control  Thang" id="Thang" name="Thang[]" multiple="multiple">
                                    @{
                                        foreach (string s in lsThangNam)
                                        {
                                            var chk = ThangHienTai + "/" + NamHienTai;
                                            if (chk ==  s)
                                            {
                                                <option value="@s" selected>Tháng @s</option>
                                            }
                                            else
                                            {
                                                <option value="@s">Tháng @s</option>
                                            }
                                        }
                                    }
                                </select>
                            </div>
                            <div class="col-md-2 col-sm-12 col-12">
                                <div class="form-group">
                                    <button type="button" class="btn btn-primary form-control-sm" id="btnXem" style="line-height:16px;"><i class="fa fa-search-minus" aria-hidden="true"></i>Xem</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </form>
            <h4 class="TieuDe text-center" style="color:brown;font-weight:bold;text-transform:uppercase;"></h4>
            <div id="gridContainer">Đang tải dữ liệu....</div>
        </div>
    </div>
